package co.ab180.airbridge.flutter.utility

import co.ab180.dependencies.com.google.gson.JsonElement
import co.ab180.dependencies.com.google.gson.JsonObject
import co.ab180.dependencies.com.google.gson.JsonPrimitive

fun JsonObject.optAsJsonPrimitive(key: String): JsonPrimitive? {
    return get(key)?.optAsJsonPrimitive
}

val JsonElement.optAsJsonPrimitive: JsonPrimitive?
    get() {
        if (isJsonPrimitive) {
            return asJsonPrimitive
        }

        return null
    }

val JsonElement.optAsJsonObject: JsonObject?
    get() {
        if (isJsonObject) {
            return asJsonObject
        }

        return null
    }

val JsonPrimitive.optAsLong: Long?
    get() {
        if (isNumber) {
            return asLong
        }

        return null
    }

val JsonPrimitive.optAsBoolean: Boolean?
    get() {
        if (isBoolean) {
            return asBoolean
        }

        return null
    }

val JsonPrimitive.optAsString: String?
    get() {
        if (isString) {
            return asString
        }

        return null
    }