import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';

class Button extends StatelessWidget {
  final String text;
  final Color backColor;
  final Color textColor;
  final TextAlign textAlign;
  final void Function() onPressed;

  Button(this.text, {
    required this.backColor,
    required this.textColor,
    this.textAlign = TextAlign.center,
    required this.onPressed
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(3.0),
      child: ButtonBarTheme(
        data: ButtonBarThemeData(),
        child: TextButton(
            child: SizedBox(
              width: double.infinity,
              child: AutoSizeText(
                text,
                style: TextStyle(color: textColor),
                maxLines: 1,
                textAlign: textAlign,
                overflow: TextOverflow.ellipsis,
                minFontSize: 8,
              ),
            ),
            onPressed: onPressed,
            style: TextButton.styleFrom(
                tapTargetSize: MaterialTapTargetSize.shrinkWrap,
                backgroundColor: backColor,
            )
        ),
      ),
    );
  }
}