import 'package:auto_size_text/auto_size_text.dart';

import 'package:flutter/material.dart';

import 'button.dart';

class StatusRow extends StatelessWidget {
  final String name;
  final String status;
  final Color backColor;
  final Color textColor;
  final TextAlign textAlign;
  final void Function() onPressed;

  StatusRow({
    required this.name,
    required this.status,
    required this.backColor,
    required this.textColor,
    this.textAlign = TextAlign.center,
    required this.onPressed,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        SizedBox(
          width: 80,
          child: AutoSizeText(
            name,
            maxLines: 1,
            textAlign: TextAlign.center,
          ),
        ),
        Expanded(
          child: Button(
            status,
            backColor: backColor,
            textColor: textColor,
            textAlign: textAlign,
            onPressed: onPressed,
          ),
        ),
      ],
    );
  }
}