import 'package:airbridge_flutter_sdk_example/basic/component/button_grid.dart';

import 'package:flutter/material.dart';

import 'package:airbridge_flutter_sdk/airbridge_flutter_sdk.dart';

class SendEventGrid extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return ButtonGrid(
      width: 3,
      backColor: Colors.indigoAccent,
      textColor: Colors.white,
      datas: [
        ButtonData('viewHome', (){
           Airbridge.trackEvent(
            AirbridgeCategory.HOME_VIEW,
            AirbridgeEventOption(
              action: 'Action viewHome',
              label: 'Label viewHome',
              value: 22,
              customAttributes: {
                  'viewHome': 'value viewHome',
              }
          ));
        }),
        ButtonData('purchase', (){
          Airbridge.trackEvent(
            AirbridgeCategory.ORDER_COMPLETED,
            AirbridgeEventOption(
              action: 'Action purchase',
              label: 'Label purchase',
              value: 123,
              customAttributes: {
                  'purchase': 'value purchase',
              },
              semanticAttributes: {
                  AirbridgeAttributes.TRANSACTION_ID: 'transactionID-purchase',
                  AirbridgeAttributes.PRODUCTS: [{
                          AirbridgeProduct.NAME: 'product purchase A name',
                          AirbridgeProduct.PRODUCT_ID: 'product purchase A ID',
                          AirbridgeProduct.PRICE: 5000,
                          AirbridgeProduct.QUANTITY: 10,
                      }],
                  AirbridgeAttributes.IN_APP_PURCHASED: true,
                  AirbridgeAttributes.CURRENCY: 'KRW',
                  AirbridgeAttributes.TOTAL_VALUE: 50000,
              }
          ));
        }),
        ButtonData('addToCart', (){
          Airbridge.trackEvent(
            AirbridgeCategory.ADD_TO_CART,
            AirbridgeEventOption(
              action: 'Action addToCart',
              label: 'Label addToCart',
              value: 5555,
              customAttributes: {
                  'addToCart': 'value addToCart',
              },
              semanticAttributes: {
                  AirbridgeAttributes.CART_ID: 'cartID-addToCart',
                  AirbridgeAttributes.PRODUCTS: [{
                          AirbridgeProduct.PRODUCT_ID: 'product addToCart A ID',
                          AirbridgeProduct.NAME: 'product addToCart A name',
                          AirbridgeProduct.PRICE: 5000,
                          AirbridgeProduct.QUANTITY: 1,
                      }],
                  AirbridgeAttributes.TOTAL_QUANTITY : 1,
                  AirbridgeAttributes.CURRENCY: 'KRW',
                  AirbridgeAttributes.TOTAL_VALUE: 5000,
              }
          ));
        }),
        ButtonData('viewProductDetail', (){
          Airbridge.trackEvent(
            AirbridgeCategory.PRODUCT_DETAILS_VIEW,
            AirbridgeEventOption(
              action: 'Action viewProductDetail',
              label: 'Label viewProductDetail',
              value: 6666,
              customAttributes: {
                  'viewProductDetail': 'value viewProductDetail',
              },
              semanticAttributes: {
                  AirbridgeAttributes.PRODUCTS: [{
                          AirbridgeProduct.NAME: 'product viewProductDetail A name',
                      }]
              }
          ));
        }),
        ButtonData('viewProductList', (){
          Airbridge.trackEvent(
            AirbridgeCategory.PRODUCT_LIST_VIEW,
            AirbridgeEventOption(
                action: 'Action viewProductList',
                label: 'Label viewProductList',
                value: 7777,
                customAttributes: {
                    'viewProductList': 'value viewProductList',
                },
                semanticAttributes: {
                    AirbridgeAttributes.PRODUCT_LIST_ID: 'list-id-1',
                    AirbridgeAttributes.PRODUCTS: [{
                            AirbridgeProduct.NAME: 'product viewProductList A name',
                        }, {
                            AirbridgeProduct.NAME: 'product viewProductList B name',
                        },
                    ]
                }
          ));
        }),
        ButtonData('viewSearchResult', (){
          Airbridge.trackEvent(
            AirbridgeCategory.SEARCH_RESULT_VIEW,
            AirbridgeEventOption(
              action: 'Action viewSearchResult',
              label: 'Label viewSearchResult',
              value: 8888,
              customAttributes: {
                  'viewSearchResult': 'value viewSearchResult',
              },
              semanticAttributes: {
                  AirbridgeAttributes.QUERY: 'query-viewSearchResult',
                  AirbridgeAttributes.PRODUCTS: [{
                            AirbridgeProduct.NAME: 'product viewSearchResult A name',
                        }, {
                            AirbridgeProduct.NAME: 'product viewSearchResult B name',
                        },
                    ]
              }
          ));
        }),
        ButtonData('custom', (){
          String category = 'custom';
          Airbridge.event.trackEvent(
            category,
            AirbridgeEventOption(
              action: '$category action',
              label: '$category label',
              value: category.length,
              customAttributes: {
                '$category 0': '0',
                '$category 1': '1',
              },
              semanticAttributes: {
                  AirbridgeAttributes.QUERY: 'query-viewSearchResult',
                  AirbridgeAttributes.TOTAL_VALUE: 3000000,
                  AirbridgeAttributes.TOTAL_QUANTITY: 3,
                  AirbridgeAttributes.CURRENCY: 'KRW',
                  AirbridgeAttributes.PRODUCTS: [{
                            AirbridgeProduct.PRODUCT_ID: 'product custom A ID',
                            AirbridgeProduct.NAME: 'product custom A name',
                            AirbridgeProduct.PRICE: 1000000,
                            AirbridgeProduct.CURRENCY: 'KRW',
                            AirbridgeProduct.POSITION: 1,
                        }, {
                            AirbridgeProduct.PRODUCT_ID: 'product custom B ID',
                            AirbridgeProduct.NAME: 'product custom B name',
                            AirbridgeProduct.PRICE: 2000000,
                            AirbridgeProduct.CURRENCY: 'KRW',
                            AirbridgeProduct.POSITION: 1,
                        },
                    ]
              }
          ));
        }),
      ],
    );
  }
}