import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';
import 'package:airbridge_flutter_sdk/airbridge_flutter_sdk.dart';

class WebViewFlutterPage extends StatefulWidget {
  @override
  _WebViewFlutterPageState createState() =>
      new _WebViewFlutterPageState();
}
class _WebViewFlutterPageState extends State<WebViewFlutterPage> {

  @override
  Widget build(BuildContext context) {
    WebViewController controller = WebViewController()
      ..setJavaScriptMode(JavaScriptMode.unrestricted)
      ..loadFlutterAsset('assets/sample_webview_flutter.html');
    setJavascriptInterface(controller);
    return WebViewWidget(controller: controller);
  }

  void setJavascriptInterface(WebViewController controller) {
    String initChannel = 'AirbridgeNativeInit';
    String handleChannel = 'AirbridgeNativeImpl';

    var webInterface = Airbridge.createWebInterface(
      webToken: 'webToken_sample',
      postCommandFunction: (arg) {
        return 'window.$handleChannel.postMessage($arg);'; 
    });

    controller.addJavaScriptChannel(
      initChannel,
      onMessageReceived: (message) {
        print(initChannel);
        controller.runJavaScript(webInterface.script);
      }
    );

    controller.addJavaScriptChannel(
      handleChannel,
      onMessageReceived: (message) {
        webInterface.handle(message.message);
      }
    );
  }
}