//
//  FlutterDartProject.swift
//  airbridge_flutter_sdk
//
//  Created by WOF on 2021/07/05.
//

import Foundation
import Flutter

extension FlutterDartProject {
    static func loadDictinoaryAsset(name: String) -> [AnyHashable: Any]? {
        let key = FlutterDartProject.lookupKey(forAsset: name)
        guard let path = Bundle.main.path(forResource: key, ofType: nil) else { return nil }
        guard let data = try? Data(contentsOf: URL(fileURLWithPath: path)) else { return nil }
        guard let json = try? JSONSerialization.jsonObject(with: data, options: []) else { return nil }
        
        return json as? [AnyHashable: Any]
    }
}
