import '../utility/log.dart';
import '../utility/scope.dart';

import 'package:flutter/services.dart';

class DeeplinkAPI {
  final EventChannel _deeplinkEvent;

  late void Function(String) _deeplinkListener;

  String? _initialDeeplink;

  DeeplinkAPI(this._deeplinkEvent) {
    _deeplinkListener = (deeplink) {
      _initialDeeplink = deeplink;
    };

    _deeplinkEvent
        .receiveBroadcastStream("deeplink")
        .listen((deeplink) {
          Log.info('[deeplink] $deeplink');

          _deeplinkListener(deeplink);
        });
  }

  void setDeeplinkListener(void Function(String) listener) {
    Log.info('set deeplink listener');

    _initialDeeplink?.let((it) {
      listener(it);
      _initialDeeplink = null;
    });

    this._deeplinkListener = listener;
  }
}
