import '../data/event_option.dart';

import 'package:flutter/services.dart';

class EventAPI {
  final MethodChannel _method;

  EventAPI(this._method);

  void trackEvent(String category, [ AirbridgeEventOption? option ]) {
    _method.invokeMethod('trackEvent', toMap(category, option));
  }

  Map<String, dynamic> toMap(String category, [ AirbridgeEventOption? option ]) {
    if (option == null) {
      return {
        'category': category,
      };
    } else {
      return {
        'category': category,
        'option': option.toMap(),
      };
    }
  }
}
